Wallet
Wallet Address Mapping Relationship (Multiple Currency)
POST
/
platformapi
/
chainup
/
open
/
wallet
/
v2
/
addressMapping
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/v2/addressMapping
{
"code": "0",
"msg": "suc",
"data": [
{
"symbol": "11111",
"count": 2,
"pageSize": 10,
"page": 1,
"list": [
{
"uid": 11111,
"address": "xxxxxx",
"walletUid": 11111,
"tag": ""
},
{
"uid": 11111,
"address": "xxxx",
"walletUid": 11111,
"tag": ""
}
],
"walletSymbol": "BTC"
},
{
"symbol": "TRX1111",
"count": 0,
"pageSize": 10,
"page": 1,
"list": [],
"walletSymbol": "TRX"
}
]
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
walletType
number
requiredWallet type( 1 : custody 2 : wapi 3 : fireblocks 4: custody mpc).
Example: 1
symbol
string
requiredChainUP symbol name
uid
number
User's ID
page
number
requiredPage number for pagination, defaults to 1 if not specified.
Example: 1
pageSize
number
requiredNumber of items per page, defaults to 100 if not specified.
Example: 10
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/v2/addressMapping
{
"code": "0",
"msg": "suc",
"data": [
{
"symbol": "11111",
"count": 2,
"pageSize": 10,
"page": 1,
"list": [
{
"uid": 11111,
"address": "xxxxxx",
"walletUid": 11111,
"tag": ""
},
{
"uid": 11111,
"address": "xxxx",
"walletUid": 11111,
"tag": ""
}
],
"walletSymbol": "BTC"
},
{
"symbol": "TRX1111",
"count": 0,
"pageSize": 10,
"page": 1,
"list": [],
"walletSymbol": "TRX"
}
]
}